692322527596736
김진혁
  • 2016.9.29 17:34
  • 조회수 98
  • 답변수 1
692322527596736
김진혁
  • 2016.9.29 17:34
  • 조회수 98
  • 답변수 1

서버실행이 되질 않습니다..

python manage.py runserver
위 문장을 터미널에서 실행하면 아래와 같은 메세지가 뜹니다

Traceback (most recent call last):
File "manage.py", line 17, in
"Couldn't import Django. Are you sure it's installed and "
ImportError: Couldn't import Django. Are you sure it's installed and available on your PYTHONPATH environment variable? Did you forget to activate a virtual environment?

manage.py파일의 raise ImportError코드에 걸친것 같은데 뭐가 문제일까요

Makefile를 이용해 파이썬(3.5.2버전)을 설치하고,
sudo apt-get install python3-pip으로 pip3을 설치하고
sudo pip3 install django를 통해서 장고를 설치하였습니다

프로젝트 생성까지 잘 되면서 서버실행시에 오류가뜨니 어디가 잘못된지를 못찾겠습니다..

  • #장고를 활용한 웹사이트 만들기
  • #장고 프로젝트 만들기

1 답변

  • 692322527596736
    김진혁
    • 2016.9.29 17:35

    python3 manage.py runserver
    혹시나해서 위 문장으로 실행해보았으나 아래와 같은 메세지가 뜹니다..

    Traceback (most recent call last):
    File "manage.py", line 8, in
    from django.core.management import execute_from_command_line
    ImportError: No module named 'django'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "manage.py", line 14, in
    import django
    ImportError: No module named 'django'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "manage.py", line 17, in
    "Couldn't import Django. Are you sure it's installed and "
    ImportError: Couldn't import Django. Are you sure it's installed and available on your PYTHONPATH environment variable? Did you forget to activate a virtual environment?

답변 쓰기

이 입력폼은 마크다운 문법을 지원합니다. 마크다운 가이드 를 참고하세요.